restic backup(1)

NAME

restic-check - Check the repository for errors

SYNOPSIS

restic check [flags]

DESCRIPTION

The "check" command tests the repository for errors and reports any errors it finds. It can also be used to read all data and therefore simulate a restore.

OPTIONS

--check-unused[=false]
    find unused blobs

-h, --help[=false]
    help for check

--read-data[=false]
    read all data blobs

OPTIONS INHERITED FROM PARENT COMMANDS

--json[=false]
    set output mode to JSON for commands that support it

--no-lock[=false]
    do not lock the repo, this allows some operations on read-only repos

-o, --option=[]
    set extended option (key=value, can be specified multiple times)

-p, --password-file=""
    read the repository password from a file (default: $RESTIC_PASSWORD_FILE)

-q, --quiet[=false]
    do not output comprehensive progress report

-r, --repo=""
    repository to backup to or restore from (default: $RESTIC_REPOSITORY)

SEE ALSO

restic(1)